CourseLit logoCourseLit Docs
Api reference

Invite a customer

Invites a customer by email. An invitation email is sent to the provided address.

POST
/api/products/{productId}/customers/invitations

Invites a customer by email. An invitation email is sent to the provided address.

Authorization

ApiKeyAuth
x-api-key<token>

API key created in CourseLit dashboard settings. The legacy apikey request-body field is still accepted but deprecated.

In: header

Path Parameters

productId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://school.courselit.app/api/products/string/customers/invitations" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{
  "userId": "string",
  "email": "string",
  "name": "string",
  "avatar": {},
  "membershipId": "string",
  "membershipStatus": "string",
  "subscriptionMethod": "string",
  "completedLessons": [
    "string"
  ],
  "downloaded": true,
  "enrolledAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}